# Uses of Class
java.awt.desktop.SystemSleepEvent

Packages that use SystemSleepEvent
Package
Description
java.awt.desktop
Provides interfaces and classes for interaction with various desktop capabilities.

- ## Uses of SystemSleepEvent in java.awt.desktop

  Methods in java.awt.desktop with parameters of type SystemSleepEvent
  Modifier and Type
  Method
  Description
  `void`
  SystemSleepListener.`systemAboutToSleep(SystemSleepEvent e)`
  Called when the system is about to sleep.
  `void`
  SystemSleepListener.`systemAwoke(SystemSleepEvent e)`
  Called after the system has awoken from sleeping.